package com.hzjt.domain;

import lombok.Data;

/**
 * @author chenl
 * @version 1.0
 * @date 2020/3/15 22:18
 */

public class EventWriteParam {
    private String  eventID;
    private String  eventSource;
    private String  eventType;
    private String  occurTime;
    private Long regionID;
    private String  eventDeviceID;
    private String eventSupplier;
    private String  locationType;
    private String  locationX;
    private String  locationY;
    private String  locationEndX;
    private String  locationEndY;
    private String  eventProof1;
    private String  eventProof2;
    private String  eventProof3;
    private String  eventProof4;
    private String  eventProof5;
    private String  eventvideo1;

    public String getEventID() {
        return eventID;
    }

    public void setEventID(String eventID) {
        this.eventID = eventID;
    }

    public String getEventSource() {
        return eventSource;
    }

    public void setEventSource(String eventSource) {
        this.eventSource = eventSource;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public String getOccurTime() {
        return occurTime;
    }

    public void setOccurTime(String occurTime) {
        this.occurTime = occurTime;
    }

    public Long getRegionID() {
        return regionID;
    }

    public void setRegionID(Long regionID) {
        this.regionID = regionID;
    }

    public String getEventDeviceID() {
        return eventDeviceID;
    }

    public void setEventDeviceID(String eventDeviceID) {
        this.eventDeviceID = eventDeviceID;
    }

    public String getEventSupplier() {
        return eventSupplier;
    }

    public void setEventSupplier(String eventSupplier) {
        this.eventSupplier = eventSupplier;
    }

    public String getLocationType() {
        return locationType;
    }

    public void setLocationType(String locationType) {
        this.locationType = locationType;
    }

    public String getLocationX() {
        return locationX;
    }

    public void setLocationX(String locationX) {
        this.locationX = locationX;
    }

    public String getLocationY() {
        return locationY;
    }

    public void setLocationY(String locationY) {
        this.locationY = locationY;
    }

    public String getLocationEndX() {
        return locationEndX;
    }

    public void setLocationEndX(String locationEndX) {
        this.locationEndX = locationEndX;
    }

    public String getLocationEndY() {
        return locationEndY;
    }

    public void setLocationEndY(String locationEndY) {
        this.locationEndY = locationEndY;
    }

    public String getEventProof1() {
        return eventProof1;
    }

    public void setEventProof1(String eventProof1) {
        this.eventProof1 = eventProof1;
    }

    public String getEventProof2() {
        return eventProof2;
    }

    public void setEventProof2(String eventProof2) {
        this.eventProof2 = eventProof2;
    }

    public String getEventProof3() {
        return eventProof3;
    }

    public void setEventProof3(String eventProof3) {
        this.eventProof3 = eventProof3;
    }

    public String getEventProof4() {
        return eventProof4;
    }

    public void setEventProof4(String eventProof4) {
        this.eventProof4 = eventProof4;
    }

    public String getEventProof5() {
        return eventProof5;
    }

    public void setEventProof5(String eventProof5) {
        this.eventProof5 = eventProof5;
    }

    public String getEventvideo1() {
        return eventvideo1;
    }

    public void setEventvideo1(String eventvideo1) {
        this.eventvideo1 = eventvideo1;
    }
}
